<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/common/inc/matern.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('matern_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">matern.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="kernel_8h_source.html">kernel.h</a>&quot;</code><br />
<code>#include &quot;ffunc.hpp&quot;</code><br />
</div>
<p><a href="matern_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html">melon::kernel::KernelData</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">struct containing kernel parameters  <a href="structmelon_1_1kernel_1_1_kernel_data.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern.html">melon::kernel::Matern&lt; T, V &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract parent class for matern kernels.  <a href="classmelon_1_1kernel_1_1_matern.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern12.html">melon::kernel::Matern12&lt; T, V &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern12.html" title="Class implementation of Matern12 kernel.">Matern12</a> kernel.  <a href="classmelon_1_1kernel_1_1_matern12.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern32.html">melon::kernel::Matern32&lt; T, V &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern32.html" title="Class implementation of Matern32 kernel.">Matern32</a> kernel.  <a href="classmelon_1_1kernel_1_1_matern32.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern52.html">melon::kernel::Matern52&lt; T, V &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern52.html" title="Class implementation of Matern52 kernel.">Matern52</a> kernel.  <a href="classmelon_1_1kernel_1_1_matern52.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html">melon::kernel::MaternInf&lt; T, V &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html" title="Class implementation of MaternInf kernel.">MaternInf</a> kernel.  <a href="classmelon_1_1kernel_1_1_matern_inf.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacemelon" id="r_namespacemelon"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemelon.html">melon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacemelon_1_1kernel" id="r_namespacemelon_1_1kernel"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aee89c193f8f9fd486ebeecd9604daa6f" id="r_aee89c193f8f9fd486ebeecd9604daa6f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aee89c193f8f9fd486ebeecd9604daa6f">USE_TAYLORMADE_RELAXATIONS</a></td></tr>
<tr class="separator:aee89c193f8f9fd486ebeecd9604daa6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af325146267524e3bec94d0535ffcebcb" id="r_af325146267524e3bec94d0535ffcebcb"><td class="memTemplParams" colspan="2">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </td></tr>
<tr class="memitem:af325146267524e3bec94d0535ffcebcb"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon_1_1kernel.html#af325146267524e3bec94d0535ffcebcb">melon::kernel::covar_matern_1</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x</a>)</td></tr>
<tr class="separator:af325146267524e3bec94d0535ffcebcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6326be288cac254a67493632f4ddf76" id="r_af6326be288cac254a67493632f4ddf76"><td class="memTemplParams" colspan="2">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </td></tr>
<tr class="memitem:af6326be288cac254a67493632f4ddf76"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon_1_1kernel.html#af6326be288cac254a67493632f4ddf76">melon::kernel::covar_matern_3</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x</a>)</td></tr>
<tr class="separator:af6326be288cac254a67493632f4ddf76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1805b33bc8adf981fa654aaf8ff1fae7" id="r_a1805b33bc8adf981fa654aaf8ff1fae7"><td class="memTemplParams" colspan="2">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </td></tr>
<tr class="memitem:a1805b33bc8adf981fa654aaf8ff1fae7"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon_1_1kernel.html#a1805b33bc8adf981fa654aaf8ff1fae7">melon::kernel::covar_matern_5</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x</a>)</td></tr>
<tr class="separator:a1805b33bc8adf981fa654aaf8ff1fae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a227d1955df0c4b01af2c41b9470e95" id="r_a2a227d1955df0c4b01af2c41b9470e95"><td class="memTemplParams" colspan="2">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </td></tr>
<tr class="memitem:a2a227d1955df0c4b01af2c41b9470e95"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon_1_1kernel.html#a2a227d1955df0c4b01af2c41b9470e95">melon::kernel::covar_sqrexp</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x</a>)</td></tr>
<tr class="separator:a2a227d1955df0c4b01af2c41b9470e95"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aee89c193f8f9fd486ebeecd9604daa6f" name="aee89c193f8f9fd486ebeecd9604daa6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee89c193f8f9fd486ebeecd9604daa6f">&#9670;&#160;</a></span>USE_TAYLORMADE_RELAXATIONS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define USE_TAYLORMADE_RELAXATIONS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bdd9a5d540de89e9fe90efdfc6973a4f.html">common</a></li><li class="navelem"><a class="el" href="dir_a065f42410ce59d310ee6ca453a28844.html">inc</a></li><li class="navelem"><a class="el" href="matern_8h.html">matern.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
